Listar tarjetas
curl --request GET \
--url https://api.onepay.la/v1/cards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onepay.la/v1/cards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onepay.la/v1/cards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "9e01eeae-2868-4564-9d04-84d1d1d027d2",
"brand": "Mastercard",
"label": "Mastercard • 8099",
"last_four": "8099",
"expiration_date": "9/2026",
"customer_id": "9df8018b-6a28-4696-b7b2-63615f34a2f5",
"created_at": "2025-01-19T18:29:25.000000Z",
"country": "CO"
},
{
"id": "9e01eeae-4569-4564-9d04-84d1d1d027a3",
"brand": "Visa",
"label": "Visa • 4242",
"last_four": "4242",
"expiration_date": "12/2027",
"customer_id": "9df8018b-6a28-4696-b7b2-63615f34a2f5",
"created_at": "2025-01-20T10:15:30.000000Z",
"country": "CO"
}
],
"current_page": 1,
"from": 1,
"last_page": 3,
"per_page": 15,
"to": 15,
"total": 42
}
Listar tarjetas
Endpoint para obtener las tarjetas tokenizadas registradas en tu empresa.
GET
/
cards
Listar tarjetas
Query Parameters
string
Filtra tarjetas por ID de cliente.
string
default:"-created_at"
Ordenamiento por fecha de creación. Usa
created_at para ascendente y -created_at para descendente (más reciente primero).integer
default:"15"
Cantidad de resultados por página.
integer
default:"1"
Número de página para paginación.
Ejemplos de uso
- curl
- JavaScript
- Python
curl https://api.onepay.la/v1/cards \
-X GET \
-H "Authorization: Bearer sk_test_xxx"
curl "https://api.onepay.la/v1/cards?filter[customer_id]=9dd4158b-0e45-42bc-b56f-a4c1f856814d" \
-X GET \
-H "Authorization: Bearer sk_test_xxx"
const response = await fetch('https://api.onepay.la/v1/cards?filter[customer_id]=9dd4158b-0e45-42bc-b56f-a4c1f856814d', {
method: 'GET',
headers: {
'Authorization': 'Bearer sk_test_xxx',
},
});
const data = await response.json();
import requests
response = requests.get(
'https://api.onepay.la/v1/cards',
params={'filter[customer_id]': '9dd4158b-0e45-42bc-b56f-a4c1f856814d'},
headers={'Authorization': 'Bearer sk_test_xxx'},
)
data = response.json()
Response
array
Lista de tarjetas.
Show Propiedades de cada tarjeta
Show Propiedades de cada tarjeta
string
UUID de la tarjeta tokenizada.
string
Marca de la tarjeta (
Mastercard, Visa, etc.).string
Etiqueta legible, por ejemplo
Mastercard • 8099.string
Últimos 4 dígitos de la tarjeta.
string
Fecha de vencimiento en formato
MM/YYYY, por ejemplo 9/2026.string
UUID del cliente al que pertenece la tarjeta.
string
Fecha de creación en formato ISO 8601.
string
Código de país donde fue registrada la tarjeta, por ejemplo
CO.integer
Página actual.
integer
Índice del primer registro en la página actual.
integer
Última página disponible.
integer
Cantidad de registros por página.
integer
Índice del último registro en la página actual.
integer
Total de tarjetas.
Ejemplo de respuesta
{
"data": [
{
"id": "9e01eeae-2868-4564-9d04-84d1d1d027d2",
"brand": "Mastercard",
"label": "Mastercard • 8099",
"last_four": "8099",
"expiration_date": "9/2026",
"customer_id": "9df8018b-6a28-4696-b7b2-63615f34a2f5",
"created_at": "2025-01-19T18:29:25.000000Z",
"country": "CO"
},
{
"id": "9e01eeae-4569-4564-9d04-84d1d1d027a3",
"brand": "Visa",
"label": "Visa • 4242",
"last_four": "4242",
"expiration_date": "12/2027",
"customer_id": "9df8018b-6a28-4696-b7b2-63615f34a2f5",
"created_at": "2025-01-20T10:15:30.000000Z",
"country": "CO"
}
],
"current_page": 1,
"from": 1,
"last_page": 3,
"per_page": 15,
"to": 15,
"total": 42
}
Was this page helpful?
⌘I